Subject: Re: [PATCH 0/2] Replace of_device with platform_device

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 11 Jun 2010 11:16:30 +1000

On Thu, 2010-06-10 at 10:46 -0600, Grant Likely wrote:
> 
> It shouldn't need any fixing because I'm not touching the driver side
> of the equation (unlike the last breakage where macio_driver had its
> own copy of the match table which I missed).  In fact, there aren't
> even any logic changes other than dealing with moving some of the
> structure members in the sparc arch code.  If I did miss anything,
> then it should show up in build testing.

Ok, but I though you were actually replacing occurences of "of_device"
with "platform_device", and so was wondering why you aren't changing the
ones in macio. But yes, the #define you did might do the trick as long
as the resources are still named the same etc...

Cheers,
Ben.